package project.view;
import javax.swing.*;
import java.awt.event.*;


public abstract class MessageBox extends JFrame
{
    protected JButton ok;
    protected JPanel displayframe;
    protected JLabel displayText;
    protected JTextArea inputbox;
    protected CommandView caller;
    
    public String getResponse()
    {   return inputbox.getText();
    }

    public MessageBox(String display,CommandView cv)
    {   displayframe = new JPanel();
        this.setContentPane (displayframe);
        this.setSize(500,150);
        ok = new JButton("ok");
        displayText = new JLabel(display);
        inputbox = new JTextArea(1,20);

        displayframe.add(displayText);
        displayframe.add(inputbox);
        displayframe.add(ok);
        this.caller = cv;
        this.ok.addActionListener (new okListener());
        this.show();
    }

    private class okListener implements ActionListener
    {  public void actionPerformed(ActionEvent evt)
       {   okPressed();
       }
    }
    abstract void okPressed();
}